Summary:	User-friendly text console file manager and visual shell.
Name:		mc
Version:	4.8.18
Release:	1
License:	GPL
Group:		System Environment/Shells
Source0:	http://www.ibiblio.org/pub/Linux/utils/file/managers/mc/%{name}-%{version}.tar.bz2
Source1:	http://www.ibiblio.org/pub/Linux/utils/file/managers/mc/%{name}-%{version}.sha256
Patch0:		%{name}-%{version}-aix.patch
URL:		http://www.ibiblio.org/mc/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:	make
BuildRequires:	gettext >= 0.10.40-6
BuildRequires:	glib2-devel >= 2.34.3-1
BuildRequires:  slang-devel >= 2.3.0-1
Requires:	gettext >= 0.10.40-6
Requires:	glib2 >= 2.34.3-1
Requires:       slang >= 2.3.0-1

%description
Midnight Commander is a visual shell much like a file manager, only
with many more features. It is a text mode application, but it also
includes mouse support if you are running GPM. Midnight Commander's
best features are its ability to FTP, view tar and zip files, and to
poke into RPMs for specific files.


%prep
%setup -q
%patch0


%build
export CC="cc_r -qcpluscmt"
./configure \
    --prefix=%{_prefix} \
    --mandir=%{_mandir} \
    --enable-threads=posix \
    --enable-mclib \
    --with-screen=slang \
    --with-pcre=%{_prefix} \
    --with-x
gmake %{?_smp_mflags}


%install 
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
gmake DESTDIR=${RPM_BUILD_ROOT} install

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

mkdir -p ${RPM_BUILD_ROOT}%{_sysconfdir}/profile.d
chmod 0755 ${RPM_BUILD_ROOT}%{_sysconfdir}/profile.d
cp contrib/mc.sh contrib/mc.csh ${RPM_BUILD_ROOT}%{_sysconfdir}/profile.d
chmod 0644 ${RPM_BUILD_ROOT}%{_sysconfdir}/profile.d/*

# install charsets, bug #76486
cp misc/mc.charsets ${RPM_BUILD_ROOT}%{_datadir}/%{name}

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../../%{_bindir}/* .


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system)
%doc doc/FAQ COPYING NEWS README
%{_bindir}/*
%{_libdir}/*.a
%{_libexecdir}/%{name}
%{_mandir}/man1/*
%dir %{_mandir}/??
%dir %{_mandir}/??/man1
%{_mandir}/??/man1/*
%{_sysconfdir}/profile.d/*
%dir %{_sysconfdir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}/mc.ext
%config(noreplace) %{_sysconfdir}/%{name}/*edit*
%config(noreplace) %{_sysconfdir}/%{name}/mc*.keymap
%config(noreplace) %{_sysconfdir}/%{name}/mc.menu*
%config(noreplace) %{_sysconfdir}/%{name}/*.ini
%{_datadir}/%{name}
%{_datadir}/locale/*/*/*
/usr/bin/*


%changelog
* Thu Dec 08 2016 Michael Perzl <michael@perzl.org> - 4.8.18-1
- updated to version 4.8.18

* Mon Jul 05 2010 Michael Perzl <michael@perzl.org> - 4.7.0.4-2
- removed dependency on gettext >= 0.17

* Thu Apr 08 2010 Michael Perzl <michael@perzl.org> - 4.7.0.4-1
- updated to version 4.7.0.4

* Thu Feb 18 2010 Michael Perzl <michael@perzl.org> - 4.7.0.2-1
- updated to version 4.7.0.2

* Thu Feb 18 2010 Michael Perzl <michael@perzl.org> - 4.6.1-2
- fixed some directory permissions problems

* Tue Mar 04 2008 Michael Perzl <michael@perzl.org> - 4.6.1-1
- first version for AIX V5.1 and higher
